[PATCH blktests] nvme/025: use character device for nvme effects-log command
Shin'ichiro Kawasaki
shinichiro.kawasaki at wdc.com
Wed Apr 2 00:37:27 PDT 2025
The recent nvme-cli commit aec85d96e07f ("nvme: add error message for
mmap_registers") in the version v2.12 dropped the feature for "nvme
effects-log" command to fallback target devices from namespace block
devices to admin character devices. This made the test case nvme/025
fail with the message "Block device isn't allowed without csi". To avoid
the failure, use admin character devices instead of namespace block
devices.
Signed-off-by: Shin'ichiro Kawasaki <shinichiro.kawasaki at wdc.com>
---
tests/nvme/025 | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/tests/nvme/025 b/tests/nvme/025
index 529fd0b..7f7e07a 100755
--- a/tests/nvme/025
+++ b/tests/nvme/025
@@ -24,15 +24,15 @@ test() {
_setup_nvmet
- local ns
+ local nvmedev
_nvmet_target_setup
_nvme_connect_subsys
- ns=$(_find_nvme_ns "${def_subsys_uuid}")
+ nvmedev=$(_find_nvme_dev "${def_subsysnqn}")
- if ! nvme effects-log "/dev/${ns}" >> "$FULL" 2>&1; then
+ if ! nvme effects-log "/dev/${nvmedev}" >> "$FULL" 2>&1; then
echo "ERROR: effects-log failed"
fi
--
2.49.0
More information about the Linux-nvme
mailing list